/* eslint-disable react/jsx-key, react/jsx-props-no-spreading, jsx-a11y/alt-text */
import React from 'react';
import Amplify from 'aws-amplify';
import { AmazonAIPredictionsProvider } from '@aws-amplify/predictions';
import { withAuthenticator } from 'aws-amplify-react';
import awsconfig from './aws-exports';

import useCurrentUser from './hooks/CurrentUser';
import Camera from './components/camera';
import Crowd from './components/crowd';
import 'semantic-ui-css/semantic.min.css';

Amplify.configure(awsconfig); // バックエンドの設定を読み込む
Amplify.addPluggable(new AmazonAIPredictionsProvider());

const App: React.FC = () => {
  const { group } = useCurrentUser();

  return (
    <>
      {(() => {
        return group === 'admin' ? <Camera /> : <Crowd />;
      })()}
    </>
  );
};

export default withAuthenticator(App, true);
