import { useState } from 'react';
import { Auth } from 'aws-amplify';

const useCurrentUser = () => {
  const [group, setGroup] = useState('');
  Auth.currentAuthenticatedUser()
    .then(data => {
      const groups =
        data.signInUserSession.accessToken.payload['cognito:groups'];
      setGroup(groups && groups.length === 1 ? groups[0] : '');
    })
    .catch(err => {
      throw new Error(err);
    });

  return { group };
};
export default useCurrentUser;
